ATA_MSENSE_CACHING(9)

NAME
ata_msense_caching - Simulate MODE SENSE caching info page

SYNOPSIS

unsigned int ata_msense_caching (u16 * id, u8 ** ptr_io, const u8 * last);

ARGUMENTS

id  device IDENTIFY data

ptr_io
    (input/output) Location to store more output data

last
    End of output data buffer

DESCRIPTION

Generate a caching info page, which conditionally indicates write caching to the SCSI layer, depending on device capabilities.

LOCKING

None.

AUTHOR
Jeff Garzik.